Overview | Package | Class | Use | Tree | Index | Help
| Rings Version 0.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## threeD.ui.event
Class CameraEditEvent

    java.lang.Object
      threeD.ui.event.SceneEvent
          threeD.ui.event.SceneEditEvent
              threeD.ui.event.CameraEditEvent

All Implemented Interfaces:
  CameraEvent, Event

public class CameraEditEvent
extends SceneEditEvent
implements CameraEvent

A CameraEditEvent object represents the event of editing the camera in the current scene. The integer code of the CameraEditEvent is the sum of all of the codes that apply to the edit.

Field Summary
`static int` | `focalLengthChangeEvent` The code for a focal length change event.
`static int` | `locationChangeEvent` The code for a location change event.
`static int` | `projectionDimensionsChangeEvent` The code for a projection dimensions change event.
`static int` | `upDirectionChangeEvent` The code for an up direction change event.
`static int` | `viewingDirectionChangeEvent` The code for a viewing direction change event.

Constructor Summary
`CameraEditEvent(int code, Camera target)` Constructs a new CameraEditEvent object with the specified integer code and target.

Method Summary
`int` | `getCode()` Returns the integer code of this CameraEditEvent object.
`Camera` | `getTarget()` Returns the target of this CameraEditEvent object.
`boolean` | `isFocalLengthChangeEvent()` Returns true if this CameraEditEvent object is a focal length change event.
`boolean` | `isLocationChangeEvent()` Returns true if this CameraEditEvent object is a location change event.
`boolean` | `isProjectionDimensionsChangeEvent()` Returns true if this CameraEditEvent object is a projection dimensions change event.
`boolean` | `isUpDirectionChangeEvent()` Returns true if this CameraEditEvent object is an up direction change event.
`boolean` | `isViewingDirectionChangeEvent()` Returns true if this CameraEditEvent object is a viewing direction change event.
`java.lang.String` | `toString()` Returns "CameraEditEvent".

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### locationChangeEvent

    public static final int locationChangeEvent

  The code for a location change event.

  See Also:
    Constant Field Values

### viewingDirectionChangeEvent

    public static final int viewingDirectionChangeEvent

  The code for a viewing direction change event.

  See Also:
    Constant Field Values

### upDirectionChangeEvent

    public static final int upDirectionChangeEvent

  The code for an up direction change event.

  See Also:
    Constant Field Values

### focalLengthChangeEvent

    public static final int focalLengthChangeEvent

  The code for a focal length change event.

  See Also:
    Constant Field Values

### projectionDimensionsChangeEvent

    public static final int projectionDimensionsChangeEvent

  The code for a projection dimensions change event.

  See Also:
    Constant Field Values

Constructor Detail

### CameraEditEvent

    public CameraEditEvent(int code,
                           Camera target)

  Constructs a new CameraEditEvent object with the specified integer code and target.

Method Detail

### getCode

    public int getCode()

  Returns the integer code of this CameraEditEvent object.

### getTarget

    public Camera getTarget()

  Returns the target of this CameraEditEvent object.

  Specified by:
    `getTarget` in interface `CameraEvent`

### isLocationChangeEvent

    public boolean isLocationChangeEvent()

  Returns true if this CameraEditEvent object is a location change event.

### isViewingDirectionChangeEvent

    public boolean isViewingDirectionChangeEvent()

  Returns true if this CameraEditEvent object is a viewing direction change event.

### isUpDirectionChangeEvent

    public boolean isUpDirectionChangeEvent()

  Returns true if this CameraEditEvent object is an up direction change event.

### isFocalLengthChangeEvent

    public boolean isFocalLengthChangeEvent()

  Returns true if this CameraEditEvent object is a focal length change event.

### isProjectionDimensionsChangeEvent

    public boolean isProjectionDimensionsChangeEvent()

  Returns true if this CameraEditEvent object is a projection dimensions change event.

### toString

    public java.lang.String toString()

  Returns "CameraEditEvent".

  Overrides:
    `toString` in class `SceneEditEvent`

Overview | Package | Class | Use | Tree | Index | Help
| Rings Version 0.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2003-05 Mike Murray